IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network91.167.80.128/25
Usable hosts126
Subnet mask255.255.255.128
Addresses128
- Network address
91.167.80.128- Broadcast address
91.167.80.255- First usable
91.167.80.129- Last usable
91.167.80.254- Usable hosts
- 126 (128 less the network and broadcast addresses)
- Subnet mask
255.255.255.128- Wildcard mask
0.0.0.127(Cisco ACLs, OSPF)- Prefix length
- /25
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
5BA75080· Integer1537691776to1537691903 - Reverse DNS zone
80.167.91.in-addr.arpa
Smaller than a /24: the provider delegates it inside the /24 zone (RFC 2317), or sets each PTR record for you.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01011011.10100111.01010000.10000000 | 91.167.80.128 |
| Subnet mask | 11111111.11111111.11111111.10000000 | 255.255.255.128 |
| Network | 01011011.10100111.01010000.10000000 | 91.167.80.128 |
| Broadcast | 01011011.10100111.01010000.11111111 | 91.167.80.255 |
Split into smaller subnets
91.167.80.128/25 makes 128 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 91.167.80.128/32 | 91.167.80.128 to 91.167.80.128 | — | 1 |
| 2 | 91.167.80.129/32 | 91.167.80.129 to 91.167.80.129 | — | 1 |
| 3 | 91.167.80.130/32 | 91.167.80.130 to 91.167.80.130 | — | 1 |
| 4 | 91.167.80.131/32 | 91.167.80.131 to 91.167.80.131 | — | 1 |
| 5 | 91.167.80.132/32 | 91.167.80.132 to 91.167.80.132 | — | 1 |
| 6 | 91.167.80.133/32 | 91.167.80.133 to 91.167.80.133 | — | 1 |
| 7 | 91.167.80.134/32 | 91.167.80.134 to 91.167.80.134 | — | 1 |
| 8 | 91.167.80.135/32 | 91.167.80.135 to 91.167.80.135 | — | 1 |
| 9 | 91.167.80.136/32 | 91.167.80.136 to 91.167.80.136 | — | 1 |
| 10 | 91.167.80.137/32 | 91.167.80.137 to 91.167.80.137 | — | 1 |
| 11 | 91.167.80.138/32 | 91.167.80.138 to 91.167.80.138 | — | 1 |
| 12 | 91.167.80.139/32 | 91.167.80.139 to 91.167.80.139 | — | 1 |
| 13 | 91.167.80.140/32 | 91.167.80.140 to 91.167.80.140 | — | 1 |
| 14 | 91.167.80.141/32 | 91.167.80.141 to 91.167.80.141 | — | 1 |
| 15 | 91.167.80.142/32 | 91.167.80.142 to 91.167.80.142 | — | 1 |
| 16 | 91.167.80.143/32 | 91.167.80.143 to 91.167.80.143 | — | 1 |
| 17 | 91.167.80.144/32 | 91.167.80.144 to 91.167.80.144 | — | 1 |
| 18 | 91.167.80.145/32 | 91.167.80.145 to 91.167.80.145 | — | 1 |
| 19 | 91.167.80.146/32 | 91.167.80.146 to 91.167.80.146 | — | 1 |
| 20 | 91.167.80.147/32 | 91.167.80.147 to 91.167.80.147 | — | 1 |
| 21 | 91.167.80.148/32 | 91.167.80.148 to 91.167.80.148 | — | 1 |
| 22 | 91.167.80.149/32 | 91.167.80.149 to 91.167.80.149 | — | 1 |
| 23 | 91.167.80.150/32 | 91.167.80.150 to 91.167.80.150 | — | 1 |
| 24 | 91.167.80.151/32 | 91.167.80.151 to 91.167.80.151 | — | 1 |
| 25 | 91.167.80.152/32 | 91.167.80.152 to 91.167.80.152 | — | 1 |
| 26 | 91.167.80.153/32 | 91.167.80.153 to 91.167.80.153 | — | 1 |
| 27 | 91.167.80.154/32 | 91.167.80.154 to 91.167.80.154 | — | 1 |
| 28 | 91.167.80.155/32 | 91.167.80.155 to 91.167.80.155 | — | 1 |
| 29 | 91.167.80.156/32 | 91.167.80.156 to 91.167.80.156 | — | 1 |
| 30 | 91.167.80.157/32 | 91.167.80.157 to 91.167.80.157 | — | 1 |
| 31 | 91.167.80.158/32 | 91.167.80.158 to 91.167.80.158 | — | 1 |
| 32 | 91.167.80.159/32 | 91.167.80.159 to 91.167.80.159 | — | 1 |
| 33 | 91.167.80.160/32 | 91.167.80.160 to 91.167.80.160 | — | 1 |
| 34 | 91.167.80.161/32 | 91.167.80.161 to 91.167.80.161 | — | 1 |
| 35 | 91.167.80.162/32 | 91.167.80.162 to 91.167.80.162 | — | 1 |
| 36 | 91.167.80.163/32 | 91.167.80.163 to 91.167.80.163 | — | 1 |
| 37 | 91.167.80.164/32 | 91.167.80.164 to 91.167.80.164 | — | 1 |
| 38 | 91.167.80.165/32 | 91.167.80.165 to 91.167.80.165 | — | 1 |
| 39 | 91.167.80.166/32 | 91.167.80.166 to 91.167.80.166 | — | 1 |
| 40 | 91.167.80.167/32 | 91.167.80.167 to 91.167.80.167 | — | 1 |
| 41 | 91.167.80.168/32 | 91.167.80.168 to 91.167.80.168 | — | 1 |
| 42 | 91.167.80.169/32 | 91.167.80.169 to 91.167.80.169 | — | 1 |
| 43 | 91.167.80.170/32 | 91.167.80.170 to 91.167.80.170 | — | 1 |
| 44 | 91.167.80.171/32 | 91.167.80.171 to 91.167.80.171 | — | 1 |
| 45 | 91.167.80.172/32 | 91.167.80.172 to 91.167.80.172 | — | 1 |
| 46 | 91.167.80.173/32 | 91.167.80.173 to 91.167.80.173 | — | 1 |
| 47 | 91.167.80.174/32 | 91.167.80.174 to 91.167.80.174 | — | 1 |
| 48 | 91.167.80.175/32 | 91.167.80.175 to 91.167.80.175 | — | 1 |
| 49 | 91.167.80.176/32 | 91.167.80.176 to 91.167.80.176 | — | 1 |
| 50 | 91.167.80.177/32 | 91.167.80.177 to 91.167.80.177 | — | 1 |
| 51 | 91.167.80.178/32 | 91.167.80.178 to 91.167.80.178 | — | 1 |
| 52 | 91.167.80.179/32 | 91.167.80.179 to 91.167.80.179 | — | 1 |
| 53 | 91.167.80.180/32 | 91.167.80.180 to 91.167.80.180 | — | 1 |
| 54 | 91.167.80.181/32 | 91.167.80.181 to 91.167.80.181 | — | 1 |
| 55 | 91.167.80.182/32 | 91.167.80.182 to 91.167.80.182 | — | 1 |
| 56 | 91.167.80.183/32 | 91.167.80.183 to 91.167.80.183 | — | 1 |
| 57 | 91.167.80.184/32 | 91.167.80.184 to 91.167.80.184 | — | 1 |
| 58 | 91.167.80.185/32 | 91.167.80.185 to 91.167.80.185 | — | 1 |
| 59 | 91.167.80.186/32 | 91.167.80.186 to 91.167.80.186 | — | 1 |
| 60 | 91.167.80.187/32 | 91.167.80.187 to 91.167.80.187 | — | 1 |
| 61 | 91.167.80.188/32 | 91.167.80.188 to 91.167.80.188 | — | 1 |
| 62 | 91.167.80.189/32 | 91.167.80.189 to 91.167.80.189 | — | 1 |
| 63 | 91.167.80.190/32 | 91.167.80.190 to 91.167.80.190 | — | 1 |
| 64 | 91.167.80.191/32 | 91.167.80.191 to 91.167.80.191 | — | 1 |
| 65 | 91.167.80.192/32 | 91.167.80.192 to 91.167.80.192 | — | 1 |
| 66 | 91.167.80.193/32 | 91.167.80.193 to 91.167.80.193 | — | 1 |
| 67 | 91.167.80.194/32 | 91.167.80.194 to 91.167.80.194 | — | 1 |
| 68 | 91.167.80.195/32 | 91.167.80.195 to 91.167.80.195 | — | 1 |
| 69 | 91.167.80.196/32 | 91.167.80.196 to 91.167.80.196 | — | 1 |
| 70 | 91.167.80.197/32 | 91.167.80.197 to 91.167.80.197 | — | 1 |
| 71 | 91.167.80.198/32 | 91.167.80.198 to 91.167.80.198 | — | 1 |
| 72 | 91.167.80.199/32 | 91.167.80.199 to 91.167.80.199 | — | 1 |
| 73 | 91.167.80.200/32 | 91.167.80.200 to 91.167.80.200 | — | 1 |
| 74 | 91.167.80.201/32 | 91.167.80.201 to 91.167.80.201 | — | 1 |
| 75 | 91.167.80.202/32 | 91.167.80.202 to 91.167.80.202 | — | 1 |
| 76 | 91.167.80.203/32 | 91.167.80.203 to 91.167.80.203 | — | 1 |
| 77 | 91.167.80.204/32 | 91.167.80.204 to 91.167.80.204 | — | 1 |
| 78 | 91.167.80.205/32 | 91.167.80.205 to 91.167.80.205 | — | 1 |
| 79 | 91.167.80.206/32 | 91.167.80.206 to 91.167.80.206 | — | 1 |
| 80 | 91.167.80.207/32 | 91.167.80.207 to 91.167.80.207 | — | 1 |
| 81 | 91.167.80.208/32 | 91.167.80.208 to 91.167.80.208 | — | 1 |
| 82 | 91.167.80.209/32 | 91.167.80.209 to 91.167.80.209 | — | 1 |
| 83 | 91.167.80.210/32 | 91.167.80.210 to 91.167.80.210 | — | 1 |
| 84 | 91.167.80.211/32 | 91.167.80.211 to 91.167.80.211 | — | 1 |
| 85 | 91.167.80.212/32 | 91.167.80.212 to 91.167.80.212 | — | 1 |
| 86 | 91.167.80.213/32 | 91.167.80.213 to 91.167.80.213 | — | 1 |
| 87 | 91.167.80.214/32 | 91.167.80.214 to 91.167.80.214 | — | 1 |
| 88 | 91.167.80.215/32 | 91.167.80.215 to 91.167.80.215 | — | 1 |
| 89 | 91.167.80.216/32 | 91.167.80.216 to 91.167.80.216 | — | 1 |
| 90 | 91.167.80.217/32 | 91.167.80.217 to 91.167.80.217 | — | 1 |
| 91 | 91.167.80.218/32 | 91.167.80.218 to 91.167.80.218 | — | 1 |
| 92 | 91.167.80.219/32 | 91.167.80.219 to 91.167.80.219 | — | 1 |
| 93 | 91.167.80.220/32 | 91.167.80.220 to 91.167.80.220 | — | 1 |
| 94 | 91.167.80.221/32 | 91.167.80.221 to 91.167.80.221 | — | 1 |
| 95 | 91.167.80.222/32 | 91.167.80.222 to 91.167.80.222 | — | 1 |
| 96 | 91.167.80.223/32 | 91.167.80.223 to 91.167.80.223 | — | 1 |
| 97 | 91.167.80.224/32 | 91.167.80.224 to 91.167.80.224 | — | 1 |
| 98 | 91.167.80.225/32 | 91.167.80.225 to 91.167.80.225 | — | 1 |
| 99 | 91.167.80.226/32 | 91.167.80.226 to 91.167.80.226 | — | 1 |
| 100 | 91.167.80.227/32 | 91.167.80.227 to 91.167.80.227 | — | 1 |
| 101 | 91.167.80.228/32 | 91.167.80.228 to 91.167.80.228 | — | 1 |
| 102 | 91.167.80.229/32 | 91.167.80.229 to 91.167.80.229 | — | 1 |
| 103 | 91.167.80.230/32 | 91.167.80.230 to 91.167.80.230 | — | 1 |
| 104 | 91.167.80.231/32 | 91.167.80.231 to 91.167.80.231 | — | 1 |
| 105 | 91.167.80.232/32 | 91.167.80.232 to 91.167.80.232 | — | 1 |
| 106 | 91.167.80.233/32 | 91.167.80.233 to 91.167.80.233 | — | 1 |
| 107 | 91.167.80.234/32 | 91.167.80.234 to 91.167.80.234 | — | 1 |
| 108 | 91.167.80.235/32 | 91.167.80.235 to 91.167.80.235 | — | 1 |
| 109 | 91.167.80.236/32 | 91.167.80.236 to 91.167.80.236 | — | 1 |
| 110 | 91.167.80.237/32 | 91.167.80.237 to 91.167.80.237 | — | 1 |
| 111 | 91.167.80.238/32 | 91.167.80.238 to 91.167.80.238 | — | 1 |
| 112 | 91.167.80.239/32 | 91.167.80.239 to 91.167.80.239 | — | 1 |
| 113 | 91.167.80.240/32 | 91.167.80.240 to 91.167.80.240 | — | 1 |
| 114 | 91.167.80.241/32 | 91.167.80.241 to 91.167.80.241 | — | 1 |
| 115 | 91.167.80.242/32 | 91.167.80.242 to 91.167.80.242 | — | 1 |
| 116 | 91.167.80.243/32 | 91.167.80.243 to 91.167.80.243 | — | 1 |
| 117 | 91.167.80.244/32 | 91.167.80.244 to 91.167.80.244 | — | 1 |
| 118 | 91.167.80.245/32 | 91.167.80.245 to 91.167.80.245 | — | 1 |
| 119 | 91.167.80.246/32 | 91.167.80.246 to 91.167.80.246 | — | 1 |
| 120 | 91.167.80.247/32 | 91.167.80.247 to 91.167.80.247 | — | 1 |
| 121 | 91.167.80.248/32 | 91.167.80.248 to 91.167.80.248 | — | 1 |
| 122 | 91.167.80.249/32 | 91.167.80.249 to 91.167.80.249 | — | 1 |
| 123 | 91.167.80.250/32 | 91.167.80.250 to 91.167.80.250 | — | 1 |
| 124 | 91.167.80.251/32 | 91.167.80.251 to 91.167.80.251 | — | 1 |
| 125 | 91.167.80.252/32 | 91.167.80.252 to 91.167.80.252 | — | 1 |
| 126 | 91.167.80.253/32 | 91.167.80.253 to 91.167.80.253 | — | 1 |
| 127 | 91.167.80.254/32 | 91.167.80.254 to 91.167.80.254 | — | 1 |
| 128 | 91.167.80.255/32 | 91.167.80.255 to 91.167.80.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |